We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8409 - "Registration disabled" message error
"Registration disabled" message error
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: General
2.4.1
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 09:19 PDT by Alec Smecher
Modified: 2013-10-22 15:24 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
diff between patches (1.63 KB, application/octet-stream)
2013-10-21 07:45 PDT, Andrea Marchitelli
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Alec Smecher 2013-08-29 09:22:02 PDT
Fixed registration disabled message
https://github.com/pkp/ojs/commit/fb603a8fdaecb6b230e1ce09528966a1ad355f18
Comment 2 Andrea Marchitelli 2013-09-29 02:56:24 PDT
Hi Alec,
I tried to apply your patch but it doesn't work form me.

I continue to get 
Fatal error: Call to a member function url() on a non-object in /ojs/pages/user/UserHandler.inc.php on line 465

Andrea
Comment 3 Alec Smecher 2013-10-18 12:52:11 PDT
Andrea, which version of OJS did you apply the patch to?
Comment 4 Andrea Marchitelli 2013-10-21 07:45:18 PDT
Created attachment 3969 [details]
diff between patches
Comment 5 Andrea Marchitelli 2013-10-22 07:26:36 PDT
Hi Alec,
we are using OJS 2.4.1 

The attached file is the patched file.

With this correction:
-	$this->registrationDisabled($request);
+	$this->registrationDisabled(array(),$request);
the system works.
Comment 6 Alec Smecher 2013-10-22 15:20:14 PDT
Ah -- it looks like this was fixed in OJS 2.4.2 but not given its own bugzilla entry. Remove the patches listed here -- I'll commit reversions in a sec -- and apply <https://github.com/pkp/ojs/commit/b5f72cf8c3fab6d242be6f7a709b28bd03417f5c.diff> (which is already included in OJS 2.4.2).
Comment 7 Alec Smecher 2013-10-22 15:24:02 PDT
Revert broken fix
https://github.com/pkp/ojs/commit/7bc574042ed8ff3c22fdb03706adc975629acf6a